<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:46 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>io.mosip.registration.entity.id (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="io.mosip.registration.entity.id (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/entity/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../io/mosip/registration/exception/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/entity/id/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;io.mosip.registration.entity.id</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/AppAuthenticationMethodId.html" title="class in io.mosip.registration.entity.id">AppAuthenticationMethodId</a></td>
<td class="colLast">
<div class="block">Composite key for <a href="../../../../../io/mosip/registration/entity/AppAuthenticationMethod.html" title="class in io.mosip.registration.entity"><code>AppAuthenticationMethod</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/ApplicantValidDocumentID.html" title="class in io.mosip.registration.entity.id">ApplicantValidDocumentID</a></td>
<td class="colLast">
<div class="block">Composite key for <a href="../../../../../io/mosip/registration/entity/ApplicantValidDocument.html" title="class in io.mosip.registration.entity"><code>ApplicantValidDocument</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/AppRolePriorityId.html" title="class in io.mosip.registration.entity.id">AppRolePriorityId</a></td>
<td class="colLast">
<div class="block">Composite key for <a href="../../../../../io/mosip/registration/entity/AppRolePriority.html" title="class in io.mosip.registration.entity"><code>AppRolePriority</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/CenterMachineId.html" title="class in io.mosip.registration.entity.id">CenterMachineId</a></td>
<td class="colLast">
<div class="block">Composite key for <a href="../../../../../io/mosip/registration/entity/CenterMachine.html" title="class in io.mosip.registration.entity"><code>CenterMachine</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/CodeAndLanguageCodeID.html" title="class in io.mosip.registration.entity.id">CodeAndLanguageCodeID</a></td>
<td class="colLast">
<div class="block">Composite key for Code And Language Code</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/CodeLangCodeAndRsnCatCodeID.html" title="class in io.mosip.registration.entity.id">CodeLangCodeAndRsnCatCodeID</a></td>
<td class="colLast">
<div class="block">Composite key Code LangCode And RsnCatCode.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/GenericId.html" title="class in io.mosip.registration.entity.id">GenericId</a></td>
<td class="colLast">
<div class="block">Composite key for GenericId.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/GlobalParamId.html" title="class in io.mosip.registration.entity.id">GlobalParamId</a></td>
<td class="colLast">
<div class="block">Composite key for GlobalParamId.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/HolidayID.html" title="class in io.mosip.registration.entity.id">HolidayID</a></td>
<td class="colLast">
<div class="block">Composite key for <a href="../../../../../io/mosip/registration/entity/Holiday.html" title="class in io.mosip.registration.entity"><code>Holiday</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/IdAndLanguageCodeID.html" title="class in io.mosip.registration.entity.id">IdAndLanguageCodeID</a></td>
<td class="colLast">
<div class="block">Composite key for IdAndLanguageCodeID.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/IndividualTypeId.html" title="class in io.mosip.registration.entity.id">IndividualTypeId</a></td>
<td class="colLast">
<div class="block">Composite key for <a href="../../../../../io/mosip/registration/entity/IndividualType.html" title="class in io.mosip.registration.entity"><code>IndividualType</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/RegCenterDeviceId.html" title="class in io.mosip.registration.entity.id">RegCenterDeviceId</a></td>
<td class="colLast">
<div class="block">contains the composite primary key for <a href="../../../../../io/mosip/registration/entity/RegCenterDevice.html" title="class in io.mosip.registration.entity"><code>RegCenterDevice</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/RegCenterUserId.html" title="class in io.mosip.registration.entity.id">RegCenterUserId</a></td>
<td class="colLast">
<div class="block">Composite key for for <a href="../../../../../io/mosip/registration/entity/RegCenterUser.html" title="class in io.mosip.registration.entity"><code>RegCenterUser</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/RegCentreMachineDeviceId.html" title="class in io.mosip.registration.entity.id">RegCentreMachineDeviceId</a></td>
<td class="colLast">
<div class="block">composite primary key of <a href="../../../../../io/mosip/registration/entity/id/RegCentreMachineDeviceId.html" title="class in io.mosip.registration.entity.id"><code>RegCentreMachineDeviceId</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/RegDeviceTypeId.html" title="class in io.mosip.registration.entity.id">RegDeviceTypeId</a></td>
<td class="colLast">
<div class="block">composite primary key of <a href="../../../../../io/mosip/registration/entity/RegDeviceType.html" title="class in io.mosip.registration.entity"><code>RegDeviceType</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/RegistartionCenterId.html" title="class in io.mosip.registration.entity.id">RegistartionCenterId</a></td>
<td class="colLast">
<div class="block">composite key for <a href="../../../../../io/mosip/registration/entity/RegistrationCenter.html" title="class in io.mosip.registration.entity"><code>RegistrationCenter</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/RegMachineSpecId.html" title="class in io.mosip.registration.entity.id">RegMachineSpecId</a></td>
<td class="colLast">
<div class="block">composite key for <a href="../../../../../io/mosip/registration/entity/RegMachineSpec.html" title="class in io.mosip.registration.entity"><code>RegMachineSpec</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/ScreenAuthorizationId.html" title="class in io.mosip.registration.entity.id">ScreenAuthorizationId</a></td>
<td class="colLast">
<div class="block">Composite key for <a href="../../../../../io/mosip/registration/entity/ScreenAuthorization.html" title="class in io.mosip.registration.entity"><code>ScreenAuthorization</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/TemplateId.html" title="class in io.mosip.registration.entity.id">TemplateId</a></td>
<td class="colLast">
<div class="block">composite key for <a href="../../../../../io/mosip/registration/entity/Template.html" title="class in io.mosip.registration.entity"><code>Template</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/UserBiometricId.html" title="class in io.mosip.registration.entity.id">UserBiometricId</a></td>
<td class="colLast">
<div class="block">composite key for <a href="../../../../../io/mosip/registration/entity/UserBiometric.html" title="class in io.mosip.registration.entity"><code>UserBiometric</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/UserMachineMappingID.html" title="class in io.mosip.registration.entity.id">UserMachineMappingID</a></td>
<td class="colLast">
<div class="block">composite key for <a href="../../../../../io/mosip/registration/entity/UserMachineMapping.html" title="class in io.mosip.registration.entity"><code>UserMachineMapping</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/UserRoleID.html" title="class in io.mosip.registration.entity.id">UserRoleID</a></td>
<td class="colLast">
<div class="block">composite key for <a href="../../../../../io/mosip/registration/entity/UserRole.html" title="class in io.mosip.registration.entity"><code>UserRole</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/ValidDocumentID.html" title="class in io.mosip.registration.entity.id">ValidDocumentID</a></td>
<td class="colLast">
<div class="block">composite key for <a href="../../../../../io/mosip/registration/entity/ValidDocument.html" title="class in io.mosip.registration.entity"><code>ValidDocument</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../io/mosip/registration/entity/id/WordAndLanguageCodeID.html" title="class in io.mosip.registration.entity.id">WordAndLanguageCodeID</a></td>
<td class="colLast">
<div class="block">ID class for the columns word and language code.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/entity/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../io/mosip/registration/exception/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/entity/id/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
